Skip to main content
`Ctrl`+`K`

# PetscDrawGetType

Gets the `PetscDraw` type as a string from the `PetscDraw` object.

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscDrawGetType(PetscDraw draw, PetscDrawType *type)

Not Collective

## Input Parameter

- draw - Krylov context

## Output Parameter

- type - name of PetscDraw method

## See Also

`PetscDraw`, `PetscDrawType`, `PetscDrawSetType()`, `PetscDrawCreate()`

## Level

advanced

## Location

src/sys/classes/draw/interface/drawreg.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages